Bug 244197 - PXE bootable LiveCD
PXE bootable LiveCD
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 10:04 EDT by Fabio Bettoni
Modified: 2013-01-09 23:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 16:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Bettoni 2007-06-14 10:04:33 EDT
Hi,

it should be a nice enhancement to boot from network the LiveCD, like Fedora 
installation DVD or Knoppix terminal server.

vmlinux and initrd should be provided with network and nfs drivers to nfsmount 
the directory containing squashfs.img
Comment 1 Jeremy Katz 2007-09-13 11:24:55 EDT
When we move over to the stock initrd infrastructure, this starts to get a lot
more doable.  All the groundwork is laid for that and I suspect we'll make the
switch for Fedora 9.
Comment 2 Bug Zapper 2008-05-14 09:05:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeremy Katz 2008-05-29 16:29:10 EDT
If you have sufficient memory, you can now do this with the livecd-iso-to-pxe
script in livecd-tools.  And other similar things can be accomplished with the
ltsp toolset.  Directly supporting this isn't something that is likely to go
into the main livecd initrd anytime soon.

Note You need to log in before you can comment on or make changes to this bug.